Package org.eclipse.lemminx.services.extensions

## Interface IDocumentColorParticipant

All Known Implementing Classes:
  `XMLDocumentColorParticipant`

    public interface IDocumentColorParticipant

Document color participant API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `doColorPresentations​(DOMDocument xmlDocument, org.eclipse.lsp4j.ColorPresentationParams params, List<org.eclipse.lsp4j.ColorPresentation> presentations, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given the `presentations` list of `ColorPresentation` for the given DOM document `xmlDocument` and the given `params` colors presentation parameter.
`void` `doDocumentColor​(DOMDocument xmlDocument, List<org.eclipse.lsp4j.ColorInformation> colors, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Fill the given the `colors` list of `ColorInformation` for the given DOM document `xmlDocument`.

### Method Detail

#### doDocumentColor

    void doDocumentColor​(DOMDocument xmlDocument,
                         List<org.eclipse.lsp4j.ColorInformation> colors,
                         org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Fill the given the `colors` list of `ColorInformation` for the given DOM document `xmlDocument`.

Parameters:
  `xmlDocument` - the DOM document.
  `colors` - the colors list to update.
  `cancelChecker` - the cancel checker.

#### doColorPresentations

    void doColorPresentations​(DOMDocument xmlDocument,
                              org.eclipse.lsp4j.ColorPresentationParams params,
                              List<org.eclipse.lsp4j.ColorPresentation> presentations,
                              org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Fill the given the `presentations` list of `ColorPresentation` for the given DOM document `xmlDocument` and the given `params` colors presentation parameter.

Parameters:
  `xmlDocument` - the DOM document.
  `params` - the color presentation parameter.
  `presentations` - the presentations list to update.
  `cancelChecker` - the cancel checker.